Get public profile by wallet address
curl --request GET \
--url https://api.aisa.one/apis/v1/polymarket/public-profile \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/polymarket/public-profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/polymarket/public-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"proxyWallet": "<string>",
"profileImage": "<string>",
"displayUsernamePublic": true,
"bio": "<string>",
"pseudonym": "<string>",
"name": "<string>",
"users": [
{
"id": "<string>",
"creator": true,
"mod": true
}
],
"xUsername": "<string>",
"verifiedBadge": true
}Polymarket Gamma
Get public profile by wallet address
Returns the public profile for a wallet address.
GET
https://api.aisa.one
/
apis
/
v1
/
polymarket
/
public-profile
Get public profile by wallet address
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The wallet address (proxy wallet or user address)
Pattern:
^0x[a-fA-F0-9]{40}$Response
Public profile information
ISO 8601 timestamp of when the profile was created
The proxy wallet address
URL to the profile image
Whether the username is displayed publicly
Profile bio
Auto-generated pseudonym
User-chosen display name
Array of associated user objects
Show child attributes
Show child attributes
X (Twitter) username
Whether the profile has a verified badge